Foreman - Bug #947

Foreman Ul doesn't report omapi_key error properly
05/26/2011 11:57 AM - Marcello de Sousa

Status: New
Priority: Normal
Assignee:

Category: DHCP
Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

If the omapi_key is incorrect (I forced an incorrect key) Foreman's interface is not reporting the error.
In the proxy.log (in debug mode) | can see the error:

(...)

E, [2011-05-03T17:51:57.835019 #10819] ERROR -- : Omshell failed:
> > > obj: <null>

, > obj: host

, > obj: host

, hardware—-address = 00:0c:29:38:71:62

, > can't open object: connection reset by peer

, obj: host

, hardware—-address = 00:0c:29:38:71:62

, > can't destroy object: not connected

, obj: host

, hardware—-address = 00:0c:29:38:71:62

, >

E, [2011-05-03T17:51:57.835393 #10819] ERROR ——- : Failed to remove DHCP reservation for => 192.16
8.115.156 / 00:0c:29:38:71:62: No response from DHCP

Related issues:

Related to Smart Proxy - Bug #853: If used with the proxy, the dhcpd server ... Closed 04/18/2011
Related to Smart Proxy - Bug #1366: key conflict from omshell are not reported Closed 12/04/2011
History

#1 - 11/08/2011 01:47 PM - Ohad Levy

- Target version changed from 0.3 to 1.0

#2 - 11/23/2011 06:50 AM - Mikael Fridh

Looks similar to this pull request:
https://github.com/theforeman/smart-proxy/pull/9

Basically, need to regex match some more of the omshell errors.

#3 - 07/18/2012 03:42 AM - Ohad Levy
- Target version deleted (1.0)

#4 - 03/15/2016 03:47 AM - Ohad Levy
- Description updated

- Assignee set to Anonymous

Dmitri - is this still correct after the refactoring ?
https://github.com/theforeman/smart-proxy/pull/9

#5 - 07/23/2021 10:43 AM - Lukas Zapletal
This is how it looks like when a key is not valid:
omshell

key fldskjfdslkj dGVzdAo=
server localhost

vV V. V »n

connect
dhcpctl_connect: no more

We should catch this error.

#6 - 07/29/2021 07:11 AM - Anna Vitova

- Assignee changed from Anonymous to Anna Vitova

#7 - 08/03/2021 09:37 AM - Lukas Zapletal
- Project changed from Smart Proxy to Foreman
- Category changed from DHCP to DHCP

- Triaged changed from No to Yes

This appears to be correct on the proxy and needs to be fixed in Foreman core.

#8 - 09/08/2021 08:30 AM - Anna Vitova

- Assignee deleted (Anna Vitova)
